py_calldist.d(1m)

NAME
py_calldist.d - measure Python elapsed times for functions.

SYNOPSIS
py_calldist.d

DESCRIPTION
This traces Python activity from all programs running on the system with Python provider support. This script prints distribution plots of elapsed time for Python operations. Use py_calltime.d for summary reports. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_calldist.d

FIELDS

1   Filename of the Python program

2   Type of call (func)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)